<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!--
	That file will instanciate a complete set of entity dependencies

	That file declares only entities, not their relationships (except folder-nodes relationships).

	Additional datasets will be required to link the entities together (eg, a campaign with an iteration)
	according to each test specifics.

-->

<!DOCTYPE dataset SYSTEM "../../../../../../dtd/squash-tm.10.0.0.dtd">
<dataset>

	<!--  =========================== custom fields ==================================================== -->

	<CUSTOM_FIELD CODE="s" LABEL="s" FIELD_TYPE="CF" NAME="field 1" INPUT_TYPE="PLAIN_TEXT" CF_ID="-1"/>
	<CUSTOM_FIELD CODE="ss" LABEL="ss" FIELD_TYPE="CF" NAME="field 2" INPUT_TYPE="PLAIN_TEXT" CF_ID="-2"/>


	<!-- =============================== ONE PROJECT ================================================ -->


	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-987"/><TEST_CASE_LIBRARY ATTACHMENT_LIST_ID="-987" TCL_ID="-1"/>
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-989"/><REQUIREMENT_LIBRARY ATTACHMENT_LIST_ID="-989" RL_ID="-1"/>
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-988"/><CAMPAIGN_LIBRARY ATTACHMENT_LIST_ID="-988" CL_ID="-1"/>

	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-432"/>
	<PROJECT PROJECT_ID="-1" NAME="base project" CREATED_BY="IT" CREATED_ON="2011-08-08"
			 CL_ID="-1" RL_ID="-1" TCL_ID="-1" ATTACHMENT_LIST_ID="-432"/>


	<CUSTOM_FIELD_BINDING BOUND_ENTITY="TEST_CASE" CFB_ID="-1" POSITION="1" CF_ID="-1" BOUND_PROJECT_ID="-1"/>
	<CUSTOM_FIELD_BINDING BOUND_ENTITY="TEST_CASE" CFB_ID="-2" POSITION="2" CF_ID="-2" BOUND_PROJECT_ID="-1"/>


	<!-- =============================== attachment-lists =========================================== -->

	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-11"  /> <!--  FOR TEST CASE 1 -->
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-12"  /> <!--  FOR TEST CASE 1 -->
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-111" /> <!--  FOR TEST STEPS OF TEST CASE 1 -->


	<TEST_CASE_LIBRARY_NODE TCLN_ID="-11" NAME="test case 1" CREATED_BY="IT" CREATED_ON="2011-08-08" ATTACHMENT_LIST_ID="-11" PROJECT_ID="-1"/>
	<TEST_CASE_LIBRARY_NODE TCLN_ID="-12" NAME="test case 2" CREATED_BY="IT" CREATED_ON="2011-08-08" ATTACHMENT_LIST_ID="-12" PROJECT_ID="-1"/>

	<CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-11" CFV_ID="-11" BOUND_ENTITY_TYPE="TEST_CASE" CFB_ID="-1" />
	<CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-11" CFV_ID="-12" BOUND_ENTITY_TYPE="TEST_CASE" CFB_ID="-2" />

	<CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-12" CFV_ID="-21" BOUND_ENTITY_TYPE="TEST_CASE" CFB_ID="-1" />
	<CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-12" CFV_ID="-22" BOUND_ENTITY_TYPE="TEST_CASE" CFB_ID="-2" />

	<!-- ============================ test case ======================================================== -->

	<TEST_CASE TCLN_ID="-11" PREREQUISITE="" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa1"/>
	<TEST_CASE TCLN_ID="-12" PREREQUISITE="" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa2"/>

	<TEST_STEP TEST_STEP_ID="-111" /> <!-- TEST CASE 1 STEP 1  -->
	<TEST_STEP TEST_STEP_ID="-112" /> <!-- TEST CASE 1 STEP 2  -->


	<!-- ============================ action test step ================================================= -->


	<ACTION_TEST_STEP TEST_STEP_ID="-111" ACTION="test case 1 step 1" ATTACHMENT_LIST_ID="-111" />

	<CALL_TEST_STEP TEST_STEP_ID="-112" CALLED_TEST_CASE_ID="-12" />


	<!--  ============================ test case steps ================================================== -->

	<TEST_CASE_STEPS TEST_CASE_ID="-11" STEP_ID="-111" STEP_ORDER="0" /> <!-- TEST CASE 1 STEP 1  -->
	<TEST_CASE_STEPS TEST_CASE_ID="-11" STEP_ID="-112" STEP_ORDER="1" /> <!-- TEST CASE 1 STEP 2  -->


	<TEST_CASE_FOLDER/>
	<TCLN_RELATIONSHIP/>
	<TEST_CASE_LIBRARY_CONTENT/>

  <!--  ============================ test plan and test plan items ==================================== -->
  <TEST_PLAN TEST_PLAN_ID="-1" CL_ID="-1"/>
  <TEST_PLAN TEST_PLAN_ID="-2" CL_ID="-1"/>
  <TEST_PLAN_ITEM TEST_PLAN_ITEM_ID="-1" TEST_PLAN_ID="-1" TCLN_ID="-11" ITEM_ORDER="0" LABEL="" CREATED_BY="me" CREATED_ON="2024-07-10"/>
  <TEST_PLAN_ITEM TEST_PLAN_ITEM_ID="-2" TEST_PLAN_ID="-2" TCLN_ID="-11" ITEM_ORDER="0" LABEL="" CREATED_BY="me" CREATED_ON="2024-07-10"/>

</dataset>






























